summaryrefslogtreecommitdiffstats
path: root/dev-ruby
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2019-10-24 02:09:32 +0200
committerSuren A. Chilingaryan <csa@suren.me>2019-10-24 02:09:32 +0200
commitdd2aea324c07fe1bd13143bb37eff11117b6130a (patch)
tree771ed8c8b9b1eb2f02b5843363eed86839ed6e5a /dev-ruby
parent576b6208d6defe240bfa2477d6dd19f1ed83bfaf (diff)
downloaddarklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.gz
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.bz2
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.xz
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.zip
Dice(kiwi) and dependencies; kiwi and dependecies (still missing zypper)
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/abstract_method/Manifest2
-rw-r--r--dev-ruby/abstract_method/abstract_method-1.2.1.ebuild22
-rw-r--r--dev-ruby/cheetah/Manifest2
-rw-r--r--dev-ruby/cheetah/cheetah-0.5.1.ebuild25
-rw-r--r--dev-ruby/dice/Manifest1
-rw-r--r--dev-ruby/dice/dice-0.7.10.ebuild50
-rw-r--r--dev-ruby/gli/Manifest2
-rw-r--r--dev-ruby/gli/gli-2.19.0.ebuild35
-rw-r--r--dev-ruby/rice/Manifest2
-rw-r--r--dev-ruby/rice/rice-2.1.3.ebuild31
10 files changed, 172 insertions, 0 deletions
diff --git a/dev-ruby/abstract_method/Manifest b/dev-ruby/abstract_method/Manifest
new file mode 100644
index 0000000..bafbdac
--- /dev/null
+++ b/dev-ruby/abstract_method/Manifest
@@ -0,0 +1,2 @@
+DIST abstract_method-1.2.1.gem 5120 BLAKE2B 2d3e401d4b0ff7ff926ab8668931379199cc424036dfff10d1031e417dcd560952823122b3ef154cff2e9243b9f722c36890db5cc3a4bd173c5e4913fc6ed9f4 SHA512 65b39bb8be13337e83204808350d1f6308b704ec0d5e2a44caaee3e73f5c62521b1827a8f89a95e848d4d28dcf3edb022c35c2219f2847d3885f43627268b966
+EBUILD abstract_method-1.2.1.ebuild 501 BLAKE2B 8ad9632c756e8471b9987fbdc196eb9041951ade2d5179322565d22ba7644d1fe2fa157c3735e318ab9289a91a6f366f5ace6ba0312a43c9df591340538e9b64 SHA512 8dcd43cc8023e0b12942feae842f94758604a0072cd8d7817c452105e576b7dc8a2560d90de10d673c4a38d63b27886678b264d70af08ea2310f511579c45510
diff --git a/dev-ruby/abstract_method/abstract_method-1.2.1.ebuild b/dev-ruby/abstract_method/abstract_method-1.2.1.ebuild
new file mode 100644
index 0000000..ab8775b
--- /dev/null
+++ b/dev-ruby/abstract_method/abstract_method-1.2.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+RUBY_FAKEGEM_EXTRAINSTALL="VERSION"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Abstract Method is a tiny library enabling you to define abstract methods in Ruby classes and modules."
+HOMEPAGE="https://rubygems.org/gems/abstract_method/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+ruby_add_bdepend "
+ dev-ruby/rspec
+ dev-ruby/yard
+ dev-ruby/redcarpet
+"
diff --git a/dev-ruby/cheetah/Manifest b/dev-ruby/cheetah/Manifest
new file mode 100644
index 0000000..45e5fe0
--- /dev/null
+++ b/dev-ruby/cheetah/Manifest
@@ -0,0 +1,2 @@
+DIST cheetah-0.5.1.gem 14848 BLAKE2B 9fb5abf487f3eef010b98b1db57d6bd3e5b48e63228061cd5ad7826d6e4851aa159052dfef2f8d85a0afb20ace3ff5e8a51fa78a77fa326c0667569c58ce9e34 SHA512 c3de4ad8bce780f16e11852ca5b557b33d41e8514c8195be46c56e9e4bee84a7533c5511257c38262682e465058b13173c36f9cc7c634970052e5c61291f0468
+EBUILD cheetah-0.5.1.ebuild 526 BLAKE2B 1da3da57d65d6dbe5cd022fba708f06bdf009659da0573af0df4bd6753aef1843780570261065cfa029466d07bcfe3bcf8b1584ba18329659777425f2cfca412 SHA512 b71f330d18a71dc339df320f0172a14118d856d7f00da77b4fdc40adbc34b5a69d0d1d43fdce7a85ed27e23a776cf6ed898f8fb5d2b104dfc21242972f6b47e3
diff --git a/dev-ruby/cheetah/cheetah-0.5.1.ebuild b/dev-ruby/cheetah/cheetah-0.5.1.ebuild
new file mode 100644
index 0000000..3fd53db
--- /dev/null
+++ b/dev-ruby/cheetah/cheetah-0.5.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+RUBY_FAKEGEM_EXTRAINSTALL="VERSION"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Your swiss army knife for executing external commands in Ruby safely and conveniently."
+HOMEPAGE="https://rubygems.org/gems/cheetah/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/abstract_method-1.2
+"
+
+ruby_add_bdepend "
+ >=dev-ruby/rspec-3.3
+ >=dev-ruby/yard-0.9.11
+"
diff --git a/dev-ruby/dice/Manifest b/dev-ruby/dice/Manifest
new file mode 100644
index 0000000..acedf5f
--- /dev/null
+++ b/dev-ruby/dice/Manifest
@@ -0,0 +1 @@
+EBUILD dice-0.7.10.ebuild 957 BLAKE2B c385184b57b1ba2866e5233d28f061be6c79234dd93bb471f83ecdc65649a2cdcff9f5bdb06f7561d2a992c7b87b13016c4e686351de4d5d862205aa13be6325 SHA512 8a517cc62906f2c7903cc7aedf92610184c0502926df378e1734fd99089f93f352249d58feb984a3a8219e4a258ff7a2248be3ab727a58a9cd9b8abe4e355ef8
diff --git a/dev-ruby/dice/dice-0.7.10.ebuild b/dev-ruby/dice/dice-0.7.10.ebuild
new file mode 100644
index 0000000..0cc0a03
--- /dev/null
+++ b/dev-ruby/dice/dice-0.7.10.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+#inherit ruby-fakegem git-r3
+#inherit cmake-utils
+inherit eutils multilib ruby-fakegem git-r3
+
+
+DESCRIPTION="OpenSuSE Dice for KIWI images"
+HOMEPAGE="https://github.com/OSInside/dice"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/OSInside/dice.git"
+EGIT_CHECKOUT_DIR="${WORKDIR}/all"
+EGIT_BRANCH="master"
+
+QA_PREBUILT="usr/lib*/ruby/gems/*/gems/${P}/lib/semaphore/sempahore.so"
+
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+ruby_add_rdepend "
+ dev-ruby/gli
+ dev-libs/libsolv[ruby,rpm]
+"
+
+ruby_add_bdepend "
+ dev-ruby/abstract_method
+ dev-ruby/bundler
+ dev-ruby/inifile
+ dev-ruby/json
+ dev-ruby/cheetah
+ dev-ruby/rice
+"
+
+
+each_ruby_configure() {
+ ${RUBY} -rrubygems -Clib/semaphore extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake -Clib/semaphore V=1
+ rm -f lib/semaphore/*.o
+}
+
diff --git a/dev-ruby/gli/Manifest b/dev-ruby/gli/Manifest
new file mode 100644
index 0000000..62e49f1
--- /dev/null
+++ b/dev-ruby/gli/Manifest
@@ -0,0 +1,2 @@
+DIST gli-2.19.0.gem 78848 BLAKE2B efeba0d702f4e0eb948321fa4866b99e0f8ba9b2f8cd01880c5ec182e1a8a6093c93ebbf383c6c76ec1af088a8ffa1483918b51a7ef5452686957aa77706f5cb SHA512 9b99f9ee55790b15511142fe9daba32be233bee146aa7d99fcc248b4baaaad06666560d7097ddfaa4e1955f2a0f2c9847529d77ff9104518e7ab7466605e85da
+EBUILD gli-2.19.0.ebuild 828 BLAKE2B 2697eb441e9409a89f9620b54fac08f09d5a3cd1974a7e342fc9f489cfe8e0e1e4821e8a870281b11bb70d0f2ca6b55bb438ef4c81e959686641c809cf04d497 SHA512 6b43801cb40df291d5682ca4398d0723091b2b624c49c7dc6f727e268178fe795011bfdbfcee1d50d0ffcac814524e19cd491be654b810305b242d72e129e3fc
diff --git a/dev-ruby/gli/gli-2.19.0.ebuild b/dev-ruby/gli/gli-2.19.0.ebuild
new file mode 100644
index 0000000..cf3eab3
--- /dev/null
+++ b/dev-ruby/gli/gli-2.19.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE="rake"
+RUBY_FAKEGEM_TASK_DOC="build_rdoc"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+RUBY_FAKEGEM_EXTRAINSTALL="gli.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Git-Like Interface Command Line Parser"
+HOMEPAGE="https://davetron5000.github.com/gli"
+LICENSE="Apache-2.0"
+
+KEYWORDS="x86 amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-util/cucumber )"
+
+all_ruby_prepare() {
+ sed -e '/sdoc/ s:^:#:' -i Rakefile || die
+
+ sed -e 's:tmp/fakehome:#{ENV["TMPDIR"]}/fakehome:' -i features/support/env.rb || die
+}
+
+each_ruby_test() {
+ # Unit tests depend on unpackaged clean_test.
+ ${RUBY} -S cucumber --format progress features || die
+}
diff --git a/dev-ruby/rice/Manifest b/dev-ruby/rice/Manifest
new file mode 100644
index 0000000..fb1cc61
--- /dev/null
+++ b/dev-ruby/rice/Manifest
@@ -0,0 +1,2 @@
+DIST rice-2.1.3.gem 261632 BLAKE2B 58eee6e8f74260a3c198bdb22c84f6da39cb698f9cbf224a97b80d890be19697ac631d6450f9a67587a9fa303bd8d9619914acf38583c74c8082b9def0c97d2f SHA512 9a11874210a3a3ce15f09db4f4ce03c5368f27cb07a1fb0ffec8aff9cb76a8aa84ae7f8d7dda40a6939477d8cc3ea254e64470d78f020f1707e9afe681fdf8e4
+EBUILD rice-2.1.3.ebuild 816 BLAKE2B 71b6d83b7745ce7c800e6ae3c8317433cf6220e4b8cab6ce44b5ca73cdf8d7d92510aab57cbd885bfc253bb24742dbfc7d8e96ca329314454b5f8cee321dbf12 SHA512 081bff09097f6509827d039890aad1ec77519b32b2034f37c3b88a535730c0ad5ea7e74188afc4088978ec34cef536d2c3305224da1a4943514fa42c1e1f0be5
diff --git a/dev-ruby/rice/rice-2.1.3.ebuild b/dev-ruby/rice/rice-2.1.3.ebuild
new file mode 100644
index 0000000..4f8d94c
--- /dev/null
+++ b/dev-ruby/rice/rice-2.1.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+inherit ruby-fakegem
+RUBY_FAKEGEM_EXTRAINSTALL="ruby"
+
+DESCRIPTION="Rice is a C++ interface to Ruby's C API. It provides a type-safe and exception-safe interface in order to make embedding Ruby and writing Ruby extensions with C++ easier. It is similar to Boost.Python in many ways, but also attempts to provide an object-oriented interface to all of the Ruby C API."
+HOMEPAGE="https://rubygems.org/gems/rice/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+
+each_ruby_prepare() {
+ ${RUBY} extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake || die
+ find . -name *.o -delete
+}
+
+each_ruby_install() {
+ emake install || die
+ each_fakegem_install
+}